davical (1.1.9.2-1) unstable; urgency=medium

  * New upstream release (closes: #934106)
    + fixes CVE-2019-18345 CVE-2019-18346 CVE-2019-18347 (closes: #946343)
  * Drop dependency on rst2pdf to clear the blocker for testing migration
  * Use debian-compat dependency, level 12
  * Put API documentation into davical directory (instead of davical-doc), as
    has been suggested by policy for a while
  * Fix capitalization on Vcs- fields
  * Declare compliance with Debian Policy 4.4.1
  * Add a basic upstream metadata file, as suggested by the Debian Janitor

 -- Florian Schlichting <fsfs@debian.org>  Thu, 12 Dec 2019 00:20:46 +0800

davical (1.1.8-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch to changed Gitlab directory layout
  * Use system perl in dba/update-davical-database
  * Bump dependency on AWL to 0.60
  * Update copyright years
  * Declare compliance with Debian Policy 4.3.0

 -- Florian Schlichting <fsfs@debian.org>  Wed, 30 Jan 2019 22:52:41 +0100

davical (1.1.7-1) unstable; urgency=medium

  * New upstream release
  * Bump dependency on AWL to 0.59
  * Declare compliance with Debian Policy 4.1.3
  * Update lintian-overrides

 -- Florian Schlichting <fsfs@debian.org>  Fri, 12 Jan 2018 00:04:06 +0100

davical (1.1.6-1) unstable; urgency=medium

  * New upstream release (closes: #704069, #784282, #856467)
  * Update debian/watch to match changed Gitlab download URLs
  * Update debian/rules to use dpkg variables instead of parsing
    dpkg-parsechangelog output
  * Update debian/control: Priority is optional, not extra (obsolete)
  * Declare compliance with Debian Policy 4.1.1

 -- Florian Schlichting <fsfs@debian.org>  Wed, 25 Oct 2017 11:40:25 +0200

davical (1.1.5-1) unstable; urgency=medium

  * New upstream release (closes: #703130, #703138, #703342)
  * Separate rebuild-translations and building locale/*po files. This should
    make davical builds reproducible.
  * Ship davical-cli in /usr/share/davical/scripts
  * Use secure URIs where possible
  * Bump years on debian/copyright
  * Bump dependency on libawl-php to 0.57
  * Make extra sure that the orig-source tarball does not contain any cruft
  * Install example configs as /etc/davical/config.php and
    /etc/apache2/sites-available/davical.conf
  * Use jdupes to remove duplicate files in davical-doc
  * Mark davical-doc "Multi-Arch: foreign" as suggested by the Multiarch
    hinter
  * Override erroneous lintian errors

 -- Florian Schlichting <fsfs@debian.org>  Mon, 23 Jan 2017 23:04:30 +0100

davical (1.1.4-3) unstable; urgency=medium

  * Add missing dependency on php-xml, which is a separate package from PHP 7

 -- Florian Schlichting <fsfs@debian.org>  Wed, 01 Jun 2016 22:18:51 +0200

davical (1.1.4-2) unstable; urgency=medium

  * Update to work with both php5 and php7, mainly based on the Ubuntu patch
    by Nishanth Aravamudan (thanks!). Closes: #821673, #821477
  * Declare compliance with Debian Policy 3.9.8

 -- Florian Schlichting <fsfs@debian.org>  Tue, 19 Apr 2016 21:52:33 +0200

davical (1.1.4-1) unstable; urgency=medium

  * New upstream release (closes: #703128, #703294, #703287, #656020, #764915)
  * Ship all config examples and user documentation, but remove website
    references since it was moved to its own git repository.
  * Don't run make / make built-docs during package build to avoid nasty
    surprises; files should be up-to-date in git anyway
  * Purge /etc/davical/.keep directory
  * Clean source tree before creating orig-source tarball

 -- Florian Schlichting <fsfs@debian.org>  Mon, 11 Jan 2016 23:56:48 +0100

davical (1.1.3.1-1) unstable; urgency=medium

  * fix a critical typo in htdocs/always.php

 -- Florian Schlichting <fsfs@debian.org>  Tue, 07 Oct 2014 08:44:50 +0200

davical (1.1.3-1) unstable; urgency=low

  [ Andrew McMillan ]
  * New upstream release (closes: #656395, #702403, #703290, #703383, #703387,
    #740827)
  * Updated the control file Vcs-* fields to the new addresses of the
    canonical git upstream repository.
  * Removed README.Debian which didn’t contain any useful information.

  [ Florian Schlichting ]
  * Takeover for the Davical Development Team (closes: #742498)
  * Use short-form debian/rules and fix source format declaration
    (closes: #730941)
  * Clean up duplicate files (symlink identical files in api documentation)
  * debian/control: update and sort dependencies, add php5, php5-cli
    (closes: #717043), php5-curl to Recommends (closes: #656390),
    php5-ldap as Suggests (LP: #479378)
  * Add doc-base registration for api doc and website in davical-doc
  * Add a README.Debian explaining the necessary steps for a basic
    installation
  * Bump dh compat to level 9
  * Add a debian/watch file
  * Switch d/copyright to copyright-format 1.0, amend CREDITS from git log
  * Bump dependency on awl to 0.55
  * Declare compliance with Debian Policy 3.9.6
  * Upload to Debian (closes: #726577)

 -- Florian Schlichting <fsfs@debian.org>  Tue, 07 Oct 2014 00:12:13 +0200

davical (1.1.1-1) unstable; urgency=high

  * New upstream release (closes:#656392)

 -- Andrew McMillan <awm@debian.org>  Wed, 04 Jul 2012 22:12:53 +1200

davical (1.1.0-1) unstable; urgency=low

  * New upstream release
  * New release to Debian (closes:#668980, #661985).

 -- Andrew McMillan <awm@debian.org>  Sun, 17 Jun 2012 23:01:18 +1200

davical (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * New release to Debian (closes:#643809, #618957).

 -- Andrew McMillan <awm@debian.org>  Fri, 13 Jan 2012 23:44:36 +1300

davical (1.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Thu, 05 Jan 2012 12:07:18 +1300

davical (1.0.0-1) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Wed, 04 Jan 2012 16:41:50 +1300

davical (0.9.9.7-1) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <awm@debian.org>  Mon, 24 Oct 2011 20:09:10 +1300

davical (0.9.9.6-1) unstable; urgency=low

  * New upstream release (closes:#628566,#619513,#619477,#619515,#641591)
  * Switch to dpkg-source 3.0 (native) format

 -- Andrew McMillan <awm@debian.org>  Tue, 27 Sep 2011 13:23:28 +1300

davical (0.9.9.5-1) unstable; urgency=low

  * New upstream release (closes:#610612, #639262)

 -- Andrew McMillan <awm@debian.org>  Tue, 13 Sep 2011 13:15:50 +1200

davical (0.9.9.4-1) unstable; urgency=low

  * New upstream release
  * Run update-davical-database in postinst (closes: #578357)
  * Remove ancient references to rscds package.

 -- Andrew McMillan <awm@debian.org>  Tue, 28 Dec 2010 02:15:56 +1300

davical (0.9.9.3-0) unstable; urgency=low

  * New upstream release

 -- Andrew McMillan <awm@debian.org>  Fri, 24 Sep 2010 12:50:41 +1200

davical (0.9.9.2-0) unstable; urgency=low

  * New upstream release

 -- Andrew McMillan <awm@debian.org>  Tue, 21 Sep 2010 14:28:04 +1200

davical (0.9.9.1-0) unstable; urgency=low

  * New upstream release

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 13 Sep 2010 21:30:32 +1200

davical (0.9.9-0) unstable; urgency=low

  * New upstream release (closes: #508673, #573687)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 17 Apr 2010 13:19:24 +1200

davical (0.9.8.4-0) unstable; urgency=low

  * New upstream release

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 09 Mar 2010 09:51:07 +1300

davical (0.9.8.3-0) unstable; urgency=low

  * New upstream release

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 25 Feb 2010 11:39:05 +1300

davical (0.9.8.2-0) unstable; urgency=low

  * New upstream release

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 23 Feb 2010 23:26:10 +1300

davical (0.9.8.1-0) unstable; urgency=low

  * New upstream release

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 05 Feb 2010 08:51:01 -0800

davical (0.9.8-0) unstable; urgency=low

  * New upstream release (closes: #561288, #561285)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 25 Dec 2009 00:49:47 +1300

davical (0.9.7.6-0) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 24 Oct 2009 12:42:37 +1300

davical (0.9.7.5-0) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 22 Oct 2009 20:15:38 +1300

davical (0.9.7.4-0) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 07 Oct 2009 17:03:14 -0700

davical (0.9.7.3-0) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 06 Oct 2009 12:41:48 -0700

davical (0.9.7.2-0) unstable; urgency=low

  * New upstream version.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 12 Sep 2009 10:33:57 +1200

davical (0.9.7.1-0) unstable; urgency=low

  * New upstream release.
  * Updated french translation from Christian Perrier (closes: #537715)
  * Allow postgresql-client-8.4 as a possible dependency.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 24 Aug 2009 12:32:51 +1200

davical (0.9.7-0) unstable; urgency=low

  * New upstream release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 22 Jun 2009 13:56:14 +1200

davical (0.9.6.3) unstable; urgency=low

  * General bug fixing.
  * Added Italian locale from Alessandro De Zorzi
  * Adjust timezone handling in regression testing (Markus Warg).
  * Many fixes to caldav-client from Michael Rasmussen.
  * Update caldav-client to use direct socket IO from Andres Obrero.
  * Added dummy handler for POST CANCEL events for iCal compatibilty (Wolfgang Herget).
  * Support usernames with spaces or punctuation.
  * Correct errors in handling confidential events.
  * Improved response to GET for calendar with a single event.
  * Documentation corrections.
  * Remove the misguided hide_todo configuration option.
  * Fix a bug in hiding alarms.
  * Deprecate 'collections_always_exist' config option and restrict it's scope.
  * Updated French translation.
  * Updated relational integrity constraints.
  * Fix database versioning.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 10 Apr 2009 23:55:18 +1200

davical (0.9.6.2) unstable; urgency=low

  * Fix creation of database when template1 has pl/pgsql installed.
  * Improvements to regression testing.
  * Switch to use iCalComponent object rather than iCalendar, in many cases.
  * Calculate DTEND when it is not set according to RFC2445.
  * Much improved XML namespace handling.
  * Configuration setting to control whether I should see appointments where I
    am organizer/attendee, even if they are PRIVATE and not in my own calendar.
  * Updated French translation (closes: #505861)
  * Add facility to delete collections through the management interface.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 18 Nov 2008 18:22:33 +1300

davical (0.9.6.1) unstable; urgency=low

  * Fix LOCK timeout handling.
  * Handle match on calendar-home-set in principal-property-search REPORT.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 02 Nov 2008 23:17:12 +1300

davical (0.9.6) unstable; urgency=low

  * Corect debian/control dependencies.
  * GET request for a collection URL with no events will now return an empty
    VCALENDAR rather than a 404
  * Added free/busy permission handling to the POST free/busy request handler

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 01 Nov 2008 11:02:41 +1300

davical (0.9.5.91) unstable; urgency=low

  * Enable headers for caldav scheduling.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 29 Oct 2008 08:48:26 +1300

davical (0.9.5.90) unstable; urgency=low

  * Updated french debconf templates (closes: #501266)
  * Add support for Apple getctag extensions.
  * Add configuration to allow disabling PUT of collection.
  * Extension of caldav-client.php inspired by Daniel Serrabou.
  * Bugfix for importing of events with multiple VEVENT modifiers.
  * Support for POST freebusy request.
  * Convert RRule functions to newer PostgreSQL function syntax.
  * Add support for proposed calendar-user-principal property.
  * Bugfixes and coverage improvements in recurrence rule calculations.
  * Cleaned up lots of uninitialised variable warnings.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 28 Oct 2008 20:43:21 +1300

davical (0.9.5.3) unstable; urgency=low

  * Fix translation inefficiencies (closes: #495307)
  * Add the built docs into the source, since PhpDocumentor is not in Debian.
  * Fixes for lintian cleanliness.
  * Renaming stuff from RSCDS to DAViCal.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 18 Sep 2008 00:14:08 +1200

davical (0.9.5.2) unstable; urgency=low

  * Fix license text for Debian acceptance.
  * Minor packaging tweaks identified by Debian acceptance procedures.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 05 Aug 2008 09:43:01 +1200

davical (0.9.5.1) unstable; urgency=low

  * The name is changing from rscds to davical.
  * Fix typo in ldap driver.
  * Remove common problem-causing things from sample config.
  * Improve query for events in a time period.
  * Allow for authentication to be external.
  * Finally upload to Debian (closes: #490444)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 14 Jul 2008 21:30:06 +1200

rscds (0.9.5) unstable; urgency=low

  * Allow users to delete their own relationships, not just admin.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 07 May 2008 21:29:39 +1200

rscds (0.9.4.5) unstable; urgency=low

  * Fix quoting in create database script.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 05 May 2008 15:42:09 +1200

rscds (0.9.4.4) unstable; urgency=low

  * Fix dependencies for postgresql-client.
  * Fix bug with deletion of relationships.
  * Add updated German translation from Sykosch Arnold.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 05 May 2008 15:40:25 +1200

rscds (0.9.4.3) unstable; urgency=low

  * Work on making the installation process more foolproof.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 13 Apr 2008 01:02:05 +1200

rscds (0.9.4.2) unstable; urgency=low

  * Add Japanese translation by Shu NAKAMAE
  * Reverse logic for maintenance of user relationships.
  * Rationalise package dependencies.
  * Improve translatability of admin interface.
  * Bug fixes and enhancements to LDAP driver.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 12 Apr 2008 21:16:57 +1200

rscds (0.9.4) unstable; urgency=low

  * Performance improvements to get_permissions()
  * Further performance improvements from bypassing get_permissions()
  * Other performance improvements from refactoring queries
  * Fix to .ics import to handle timezones correctly.
  * Work around issues introduced when open_basedir is enabled.
  * More rscds => davical renaming.
  * Create users for the database for DBA and application use during
    installation.
  * Work around differences in authentication when PHP is used with FastCGI
  * Fixes to CONFIDENTIAL event handling.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 09 Feb 2008 22:44:42 +1300

rscds (0.9.3) unstable; urgency=low

  * Start renaming to DAViCal internally and in documentation.
  * Fix handling of CONFIDENTIAL events
  * Fixes to support iCal 3.0.1 and later.
  * Changes to support SOHO Organizer
  * Change style of response to Freebusy queries
  * Various refactoring.
  * Use relative URLs where possible and refactor to use URL formatting
    routine.
  * Start to implement structured support for DAV Principals
  * Fixes to timezone handling.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 23 Jan 2008 18:42:49 +1300

rscds (0.9.2) unstable; urgency=low

  * Add support for principal-url and calendar-home-set properties.
  * All events should be PUBLIC unless CLASS specifies otherwise.
  * Calendars can now be set such that all events are PUBLIC.
  * Add support for automatically added relationships.
  * Make some use of the improvements to the iCalendar class.
  * Working with iCal 3.0 from Mac OS 10.5.
  * Refactoring of driver code for LDAP and external AWL DB.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 04 Nov 2007 23:31:10 +1300

rscds (0.9.1) unstable; urgency=low

  *     Reduce debug logging noise when debugging is iff
  *     When class is NULL we should consider it to be PUBLIC.
  *     Clean up some uninitialised variable warnings.
  *     Refactoring caldav-PUT to allow calling from a different code path.
  *     State how to make LDAP use an anonymous bind initially.
  *     Include any VTODO in GET for a collection.
  *     Minor permissions changes.
  *     Fix VTODO handling by time-range queries.
  *     Various fixes to LDAP authentication.
  *     Fix permissions for RW access.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Thu, 25 Oct 2007 16:30:06 +1300

rscds (0.9.0) unstable; urgency=low

  * Changes preparatory to renaming to DAViCal
  * Security (information leakage) fix from Maxime Delorme
  * Changes to support newer iCalendar parsing in AWL 0.20
  * Add support for DAV::principal-property-search report
  * Refactoring of DAV report handling to improve extensibility
  * Much improved DAV property handling
  * Better support for VTODO and reports on VTODO

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 16 Oct 2007 13:28:16 +1300

rscds (0.8.0) unstable; urgency=low

  * Check whether a URL missing a trailing '/' might still be a collection.
  * Fix for REPORT to exclude PRIVATE events.
  * Show a list of the user's relationships in the admin page.
  * Add XML with MKCALENDAR support.
  * Add Polish language support from Rafał Ślubowski
  * Patch to support reporting of "Busy" for confidential events (Maxime
    Delorme).
  * Allow hiding of alarms for calendars which are not ours (Maxime Delorme).
  * Allow uploading whole calendars (Maxime Delorme).
  * Basic LDAP authentication (Maxime Delorme)
  * Add Hungarian (Magyar) language support from Dávid Takács
  * Ensure username is case-insensitive.
  * Improve security on viewing other's calendar entries.
  * Add basic support for installation in a Windows environment.
  * Add support for automatically creating a user's home calendar.
  * Add a primary key to the calendar_item table for performance.
  * Only process the filter criteria on a REPORT once.
  * Add a basic client library.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 02 Jun 2007 12:42:21 +1200

rscds (0.7.1) unstable; urgency=low

  * Add support for PRIVATE events to REPORT, PROPFIND and GET
  * Fixes to the RRule parsing used for freebusy for PHP5.
  * Fix various bugs present when used with PHP5.
  * Fix a bug in create database script which allowed installation without an
    admin password.
  * Fix the response code on PUT which should be "204 No Content" rather than
    "200 OK".
  * Updated french translation.
  * Fix function definitions to be compatible with PostgreSQL 7.4 and 8.0.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sat, 10 Mar 2007 07:54:27 +1300

rscds (0.7.0) unstable; urgency=low

  * Changes to privacy model for FREEBUSY
  * Simplify relationships.
  * Fix internationalisation issues with updating users.
  * GET/PUT against a collection URL are now interpreted as WebDAV.
  * Ensure Etag is provided for GET of calendar items.
  * Removed superseded ics.php interface. People should GET/PUT against
    calendar collections directly for WebDAV instead.
  * Cleaned out files that should not be distributed.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 19 Feb 2007 19:39:57 +1300

rscds (0.6.0) unstable; urgency=low

  * Add support for LOCK, UNLOCK and PROPPATCH methods.
  * Refactoring of code to simplify and improve readibility,
  * General specification compliance fixes and enhancements.
  * Fix bugs around 'Depth' header handling.
  * free-busy-query REPORT variant implemented according to caldav-15 draft.
  * freebusy.php changed to follow REPORT method.
  * Wrote a library class for dealing with iCalendar repeat rules.
  * New translation into Dutch by Eelco Maljaars.
  * New CSS styling for admin pages by Maxime Delorme.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 24 Dec 2006 10:52:33 +1300

rscds (0.5.2) unstable; urgency=low

  * Don't send charset with GET since it breaks Evolution.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed,  6 Dec 2006 00:03:47 +1300

rscds (0.5.1) unstable; urgency=low

  * Rebuild package without Wiki.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon,  4 Dec 2006 00:10:05 +1300

rscds (0.5.0) unstable; urgency=low

  * We now support a basic authentication hook to allow external sources of
    authentication and user information.
  * Some simple ability has been added to the admin interface to list
    calendars and events.
  * When an event is added to a non-existent calendar, the calendar is
    automatically created (if $c->collections_always_exist is true).
  * The permissions architecture has been changed to allow extension towards
    the DAV access standards in due course.
  * Allow RSCDS to operate as a subdirectory in an existing virtual host.
  * The PHP register_globals directive need not be enabled any longer.
  * The RSCDS include directory need not be specified any longer.
  * RSCDS should now work without generating errors even with E_ALL set in php.ini
  * Add a Netherlands translation.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun,  3 Dec 2006 18:43:47 +1300

rscds (0.4.0) unstable; urgency=low

  * Added initial Russian translation from Nick Khazov.
  * Updated Spanish translation from Lorena Paoletti.  For the time being this
    es_AR translation is also being used for es_ES and es_MX in the absence of
    real translations from there.
  * Split the supported_locales data out from base_data to allow for easier
    updating of the supported locales on upgrade.
  * Fix bug in update-rscds-database which meant that hostname was always
    wrong.
  * Add explicit support for the HEAD method.
  * Start support for PROPPATCH with a placeholder.  Put a placeholder in for
    the freebusy support, so people realise it isn't there yet.
  * Make the OPTIONS command more complete, with options which are hopefully
    OK for Mozilla and Evolution.
  * Added configuration option "enable_row_linking" which people can set to
    false to support browsers such as Konqueror to disable the javascript
    making browse rows clickable.
  * Updates to regression tests.
  * Minor documentation updates.
  * Write some basic freebusy support.
  * Fix bug in permissions application.
  * Fix failure to delete calendar entry from someone else's calendar which is
    writable.
  * When listing all users in a PROPFIND only show the ones that this user has
    rights for.
  * Update packaging to depend on libawl-php 0.12, since we now need that as a
    minimum version.
  * Create collections if they don't exist when someone PUTs something into
    them.
  * Create collections with the correct user_no.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 22 Nov 2006 23:23:36 +1300

rscds (0.3.1) unstable; urgency=low

  * Fix bug in handling PUT of modified event where client does not send an
    If-None-Match header (e.g. Mulberry).
  * Updated french translation.
  * Include locale files in package :-)

 -- Andrew McMillan <debian@mcmillan.net.nz>  Mon, 13 Nov 2006 16:15:59 +1300

rscds (0.3.0) unstable; urgency=low

  * Add a bunch more regression tests.
  * Remove a non-working workaround for Evolution bug #354855
  * More friendly error message when relational integrity constraints prevent
    deletion of a relationship type.
  * Don't always apply sample data to database creation.
  * Initial database framework for identifying supported locales.
  * Fix GET/PUT to use permissions properly.
  * Apply i18n framework.
  * Translations for Deutsch and Argentinian Spanish!
  * Add an 'administration' page to the website.
  * Apply permissions to MKCALENDAR and MKCOL
  * Fix permission calculation function.
  * Ensure that permissions and path prefixes are being correctly applied.
  * Check that some smart bastard isn't playing silly buggers with our URL.
  * French translation by Guillaume Rosquin.
  * Add 'administration' page to website/docs.
  * New release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 10 Nov 2006 15:20:17 +1300

rscds (0.2.2) unstable; urgency=low

  * Improvements to styling of maintenance pages.
  * Removed broken link from relationship_types browser.
  * Fix bug deleting relationship from user.
  * Better and more useful front page when you log on.
  * Fix base data for relationship type of 'Is a member of group'
  * Much improved (though still imperfect) script for applying updates to the
    database.
  * New release

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 31 Oct 2006 11:40:32 +1300

rscds (0.2.1) unstable; urgency=low

  * New release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Fri, 27 Oct 2006 12:09:10 +1300

rscds (0.2.0) unstable; urgency=low

  * A code sanity review and clean up.  Much commenting of code and review for
    behaviour against the specification.
  * Extend RSCDSUser to allow for addition/deletion of relationships.
  * Adjust the dba scripts to do update, as well as create.
  * Develop page for list / delete / add relationship types.
  * Split the data into base / sample so we know what is essential.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 17 Oct 2006 10:55:12 +1300

rscds (0.1.6) unstable; urgency=low

  * Fix some bugs in caldav-REPORT, which was not working with Lightning.
  * Complete work on PROPFIND so that Mulberry now works.
  * Add MKCOL, which is based on MKCALENDAR, to support hierarchies of
    collections better.
  * Rewrite REPORT to use the new XML libraries.
  * Commence support of relationships and permissions.
  * Write new ics.php which allows export of the full repository (for an
    admin), or a subset of the repository.
  * That new ics.php allows webcal presentation of the calendars also, so that
    even if evolution can't support tasks as CalDAV, it can at least refer to
    tasks someone else puts there with (e.g.) Sunbird.
  * Started development of a regression testing framework.
  * Cleaned up code to remove as many warnings as possible.
  * Make caldav.php work with 'cadaver' for more DAV love.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun,  8 Oct 2006 20:13:44 +1300

rscds (0.1.5) unstable; urgency=low

  * Support for some parts of PROPFIND and MKCALENDAR now in an effort to
    start to work with Mulberry.  Alas an unsuccessful one so far.
  * User maintenance screens are now functional, although they still do not
    allow for manipulation of relationships.  That's OK because they don't
    work out the other end yet either!

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun,  1 Oct 2006 20:46:55 +1300

rscds (0.1.4) unstable; urgency=low

  * Now working with both Evolution and Lightning+Thunderbird(alpha)
  * Restructured database to show some sense.
  * Initial support for TODO items, although either I have it wrong, or
    Lighning has it wrong.  Lightning can write them, but it doesn't read
    them.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Sun, 24 Sep 2006 17:18:30 +1200

rscds (0.1.3) unstable; urgency=low

  * Hopefully now fairly much ready to install.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 13 Sep 2006 14:10:31 +1200

rscds (0.1.2) unstable; urgency=low

  * Add alternative depends on postgresql-client so we can install this on a
    machine running Sarge.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Wed, 13 Sep 2006 12:03:53 +1200

rscds (0.1.1) unstable; urgency=low

  * Time for a real-world-ish release.

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue, 12 Sep 2006 05:10:32 -0500

rscds (0.1.0) unstable; urgency=low

  * Initial Debian packaging

 -- Andrew McMillan <debian@mcmillan.net.nz>  Tue,  2 May 2006 07:43:59 +1200
